
var draw_critial_setup = function() {
    getFullPanel(0, 0, 2, 4, "tab-page-basic_systems", "sec-critical-setup", "CRITICAL", "SETUP", "VER 1.0");
    var panel = document.getElementById("sec-critical-setup");
    panel.innerHTML += draw_critial_setup_section_1();
    panel.innerHTML += draw_critial_setup_section_2();
    panel.innerHTML += draw_critial_setup_section_3();
    panel.innerHTML += draw_critial_setup_section_4();
}

var draw_critial_setup_section_1 = function() {
    var html = getSectionTitle('CLOCK VARIABES');
    var rows = '';
    var row = '';
    row += getInfoCell('', 'OSCCON');
    row += getInfoCell('clock-var-oscon', '3301');
    row += getInfoCell('', 'PLLFBD');
    row += getInfoCell('clock-var-pllfbd', '008A');
    rows += getInfoRow(row);
    row += getInfoCell('', 'CLKDIV');
    row += getInfoCell('clock-var-clkdiv', '0002');
    row += getInfoCell('', 'REFOCON');
    row += getInfoCell('clock-var-refcon', '0000');
    rows += getInfoRow(row);
    row += getInfoCell('', 'OSCTUN');
    row += getInfoCell('clock-var-osctun', '0000');
    row += getInfoCell('', 'CRYSTAL');
    row += getInfoCell('clock-var-crystal', '140E+6');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_critial_setup_section_2 = function() {
    var html = getSectionTitle('LATCHES');
    var rows = '';
    var row = '';
    row += getInfoCell('latch-var-power', 'POWER');
    row += getInfoCell('latch-var-second', 'SECOND');
    rows += getInfoRow(row);
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_critial_setup_section_3 = function() {
    var html = getSectionTitle('DATE TIME');
    var rows = '';
    var row = '';
    row += getInfoCell('', 'DATE');
    row += getInfoCell('clock-var-date', '2019/08/08');
    row += getInfoCell('', 'TIME');
    row += getInfoCell('clock-var-time', '14:13');
    rows += getInfoRow(row);
    row += getInfoCell('', 'TIMEZONE');
    row += getInfoCell('clock-var-timezone', '+2');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

var draw_critial_setup_section_4 = function() {
    var html = getSectionTitle('SERIAL');
    var rows = '';
    var row = '';
    row += getInfoCell('', 'SERIAL NUMBER');
    row += getInfoCell('serial-var', '14523');
    rows += getInfoRow(row);

    html += getTabel(rows);
    html = getPanel(html);
    return html;
}

draw_critial_setup();